StarObjectSpreadsheetInternal::Table Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
StarObjectSpreadsheetInternal::Table Class Reference

Internal: a table of a StarObjectSpreadsheet. More...

Inheritance diagram for StarObjectSpreadsheetInternal::Table:

## Public Member Functions
| Table (int loadingVers, int maxRow)
| constructor More...
int | getLoadingVersion () const
| returns the load version More...
int | getMaxRows () const
| returns the maximum number of row More...
std::vector< float > | getColumnWidths (std::vector< int > &repeated) const
| returns the col width dimension in inch More...
float | getRowHeight (int row) const
| returns the row size in point More...
RowContent * | getRow (int row)
| returns a row content More...
void | updateRowsBlocks (STOFFVec2i const &rows)
| create a block of rows(if not created) More...
Cell & | getCell (STOFFVec2i const &pos)
| returns a cell corresponding to a position More...
Public Member Functions inherited from STOFFTable
| STOFFTable (uint32_t givenData=BoxBit)
| the constructor More...
virtual | ~STOFFTable ()
| the destructor More...
void | add (shared_ptr< STOFFCell > cell)
| add a new cells More...
bool | mergeBorders () const
| returns true if we need to merge borders More...
bool | setMergeBorders (bool val)
| sets the merge borders' value More...
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment More...
int | numCells () const
| returns the number of cell More...
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point) More...
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point) More...
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point) More...
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point) More...
shared_ptr< STOFFCell > | get (int id)
| returns the i^th cell More...
bool | updateTable ()
| try to build the table structures More...
bool | sendTable (STOFFListenerPtr listener)
| try to send the table More...
bool | sendAsText (STOFFListenerPtr listener)
| try to send the table as basic text More...
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList More...

## Static Public Member Functions
static int | getMaxCols ()
| returns the maximum number of columns More...

## Public Attributes
int | m_loadingVersion
| the loading version More...
librevenge::RVNGString | m_name
| the table name More...
librevenge::RVNGString | m_pageStyle
| the page style name More...
int | m_maxRow
| the maximum number of row More...
std::vector< int > | m_colWidthList
| the columns width More...
std::map< STOFFVec2i, int > | m_rowHeightMap
| the rows heights in TWIP More...
std::map< STOFFVec2i, RowContent > | m_rowToRowContentMap
| map (min row, max row) -> rowContent More...

## Additional Inherited Members
Public Types inherited from STOFFTable
enum | DataSet { CellPositionBit =1, BoxBit =2, SizeBit =4, TableDimBit =8, TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph, Left, Center, Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from STOFFTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position More...
bool | buildStructures ()
| create the correspondance list, ... More...
bool | buildDims ()
| compute the rows and the cells size More...
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position More...
Protected Attributes inherited from STOFFTable
uint32_t | m_givenData
| a int to indicate what data are given in entries More...
uint32_t | m_setData
| a int to indicate what data are been reconstruct More...
bool | m_mergeBorders
| do we need to merge cell borders ( default yes) More...
std::vector< shared_ptr< STOFFCell > > | m_cellsList
| the list of cells More...
size_t | m_numRows
| the number of rows ( set by buildPosToCellId ) More...
size_t | m_numCols
| the number of cols ( set by buildPosToCellId ) More...
std::vector< float > | m_rowsSize
| the final row size (in point) More...
std::vector< float > | m_colsSize
| the final col size (in point) More...
Alignment | m_alignment
| the table alignment More...
float | m_leftMargin
| the left margin in point More...
float | m_rightMargin
| the right margin in point More...
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell More...

## Detailed Description

Internal: a table of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

StarObjectSpreadsheetInternal::Table::Table | ( | int | loadingVers,
|  | int | maxRow
| ) |  |
| inline

constructor

## Member Function Documentation

Cell& StarObjectSpreadsheetInternal::Table::getCell | ( | STOFFVec2i const & | pos | ) |
| inline

returns a cell corresponding to a position

Referenced by StarObjectSpreadsheet::readSCColumn(), and StarObjectSpreadsheet::readSCData().

std::vector<float> StarObjectSpreadsheetInternal::Table::getColumnWidths | ( | std::vector< int > & | repeated | ) | const
| inline

returns the col width dimension in inch

Referenced by StarObjectSpreadsheet::send().

int StarObjectSpreadsheetInternal::Table::getLoadingVersion | ( |  | ) | const
| inline

returns the load version

Referenced by StarObjectSpreadsheet::readSCData(), and StarObjectSpreadsheet::readSCTable().

static int StarObjectSpreadsheetInternal::Table::getMaxCols | ( |  | ) |
| inlinestatic

returns the maximum number of columns

Referenced by StarObjectSpreadsheet::readSCTable().

int StarObjectSpreadsheetInternal::Table::getMaxRows | ( |  | ) | const
| inline

returns the maximum number of row

Referenced by StarObjectSpreadsheet::readSCTable().

RowContent* StarObjectSpreadsheetInternal::Table::getRow | ( | int | row | ) |
| inline

returns a row content

Referenced by StarObjectSpreadsheet::sendRow().

float StarObjectSpreadsheetInternal::Table::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

Referenced by StarObjectSpreadsheet::send().

void StarObjectSpreadsheetInternal::Table::updateRowsBlocks | ( | STOFFVec2i const & | rows | ) |
| inline

create a block of rows(if not created)

Referenced by StarObjectSpreadsheet::readSCColumn().

## Member Data Documentation

std::vector<int> StarObjectSpreadsheetInternal::Table::m_colWidthList

the columns width

Referenced by StarObjectSpreadsheet::readSCTable().

int StarObjectSpreadsheetInternal::Table::m_loadingVersion

the loading version

int StarObjectSpreadsheetInternal::Table::m_maxRow

the maximum number of row

librevenge::RVNGString StarObjectSpreadsheetInternal::Table::m_name

the table name

Referenced by StarObjectSpreadsheet::send().

librevenge::RVNGString StarObjectSpreadsheetInternal::Table::m_pageStyle

the page style name

Referenced by StarObjectSpreadsheet::readSCTable().

std::map<STOFFVec2i, int> StarObjectSpreadsheetInternal::Table::m_rowHeightMap

the rows heights in TWIP

Referenced by StarObjectSpreadsheet::readSCTable(), and StarObjectSpreadsheet::send().

std::map<STOFFVec2i, RowContent> StarObjectSpreadsheetInternal::Table::m_rowToRowContentMap

map (min row, max row) -> rowContent

Referenced by StarObjectSpreadsheet::readSCColumn(), and StarObjectSpreadsheet::send().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx